Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.api.session
Class PortalSessionImpl

    java.lang.Object
      org.jboss.portal.core.impl.api.session.PortalSessionImpl

All Implemented Interfaces:
  PortalSession

    public class PortalSessionImpl

extends java.lang.Object
implements PortalSession

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Constructor Summary
`PortalSessionImpl(javax.servlet.http.HttpSession session)`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)` Returns a session attribute.
`java.lang.String` | `getId()` Return the session id.
`void` | `removeAttribute(java.lang.String name)` Removes an attribute value.
`void` | `setAttribute(java.lang.String name, java.lang.Object attribute)` Update an attribute value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalSessionImpl

    public PortalSessionImpl(javax.servlet.http.HttpSession session)

Method Detail

### getId

    public java.lang.String getId()

  Description copied from interface: `PortalSession`
  Return the session id.

  Specified by:
    `getId` in interface `PortalSession`
  Returns:
    the session id

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Description copied from interface: `PortalSession`
  Returns a session attribute.

  Specified by:
    `getAttribute` in interface `PortalSession`
  Parameters:
    `name` - the attribute name
  Returns:
    the attribute value or null if it is not found

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object attribute)

  Description copied from interface: `PortalSession`
  Update an attribute value. If the attribute value is null, then it is considered as a removal.

  Specified by:
    `setAttribute` in interface `PortalSession`
  Parameters:
    `name` - the attribute name
    `attribute` - the attribute value

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Description copied from interface: `PortalSession`
  Removes an attribute value.

  Specified by:
    `removeAttribute` in interface `PortalSession`
  Parameters:
    `name` - the attribute name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD